com.mxgraph.util

## Class mxEvent

- java.lang.Object
- - com.mxgraph.util.mxEvent

-     public class mxEvent
      extends java.lang.Object

  Contains all global constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADD`
    `static java.lang.String` | `ADD_CELLS`
    `static java.lang.String` | `ADD_OVERLAY`
    `static java.lang.String` | `AFTER_PAINT`
    `static java.lang.String` | `ALIGN_CELLS`
    `static java.lang.String` | `BEFORE_PAINT`
    `static java.lang.String` | `BEFORE_UNDO` Holds the name for the beforeUndo event.
    `static java.lang.String` | `BEGIN_UPDATE` Holds the name for the beginUpdate event.
    `static java.lang.String` | `CELL_CONNECTED`
    `static java.lang.String` | `CELLS_ADDED`
    `static java.lang.String` | `CELLS_FOLDED`
    `static java.lang.String` | `CELLS_MOVED`
    `static java.lang.String` | `CELLS_ORDERED`
    `static java.lang.String` | `CELLS_REMOVED`
    `static java.lang.String` | `CELLS_RESIZED`
    `static java.lang.String` | `CELLS_TOGGLED`
    `static java.lang.String` | `CHANGE` Holds the name for the change event.
    `static java.lang.String` | `CLEAR`
    `static java.lang.String` | `CONNECT`
    `static java.lang.String` | `CONNECT_CELL`
    `static java.lang.String` | `CONTINUE`
    `static java.lang.String` | `DONE`
    `static java.lang.String` | `DOWN`
    `static java.lang.String` | `END_UPDATE` Holds the name for the endUpdate event.
    `static java.lang.String` | `EXECUTE` Holds the name for the execute event.
    `static java.lang.String` | `FIRED`
    `static java.lang.String` | `FLIP_EDGE`
    `static java.lang.String` | `FOLD_CELLS`
    `static java.lang.String` | `GROUP_CELLS`
    `static java.lang.String` | `INSERT`
    `static java.lang.String` | `LABEL_CHANGED`
    `static java.lang.String` | `LAYOUT_CELLS`
    `static java.lang.String` | `MARK` Holds the name for the mark event, which fires after a cell has been marked.
    `static java.lang.String` | `MOVE_CELLS`
    `static java.lang.String` | `NOTIFY` Holds the name for the norify event.
    `static java.lang.String` | `ORDER_CELLS`
    `static java.lang.String` | `PAINT`
    `static java.lang.String` | `REDO`
    `static java.lang.String` | `REMOVE_CELLS`
    `static java.lang.String` | `REMOVE_CELLS_FROM_PARENT`
    `static java.lang.String` | `REMOVE_OVERLAY`
    `static java.lang.String` | `REPAINT`
    `static java.lang.String` | `RESIZE_CELLS`
    `static java.lang.String` | `ROOT`
    `static java.lang.String` | `SCALE`
    `static java.lang.String` | `SCALE_AND_TRANSLATE`
    `static java.lang.String` | `SELECT`
    `static java.lang.String` | `SPLIT_EDGE`
    `static java.lang.String` | `START`
    `static java.lang.String` | `START_EDITING`
    `static java.lang.String` | `STOP`
    `static java.lang.String` | `TOGGLE_CELLS`
    `static java.lang.String` | `TRANSLATE`
    `static java.lang.String` | `UNDO`
    `static java.lang.String` | `UNGROUP_CELLS`
    `static java.lang.String` | `UP`
    `static java.lang.String` | `UPDATE_CELL_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxEvent()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DONE

          public static final java.lang.String DONE

      See Also:
        Constant Field Values

    - #### ADD_CELLS

          public static final java.lang.String ADD_CELLS

      See Also:
        Constant Field Values

    - #### CELLS_ADDED

          public static final java.lang.String CELLS_ADDED

      See Also:
        Constant Field Values

    - #### ALIGN_CELLS

          public static final java.lang.String ALIGN_CELLS

      See Also:
        Constant Field Values

    - #### CONNECT_CELL

          public static final java.lang.String CONNECT_CELL

      See Also:
        Constant Field Values

    - #### CONNECT

          public static final java.lang.String CONNECT

      See Also:
        Constant Field Values

    - #### CELL_CONNECTED

          public static final java.lang.String CELL_CONNECTED

      See Also:
        Constant Field Values

    - #### FLIP_EDGE

          public static final java.lang.String FLIP_EDGE

      See Also:
        Constant Field Values

    - #### FOLD_CELLS

          public static final java.lang.String FOLD_CELLS

      See Also:
        Constant Field Values

    - #### CELLS_FOLDED

          public static final java.lang.String CELLS_FOLDED

      See Also:
        Constant Field Values

    - #### GROUP_CELLS

          public static final java.lang.String GROUP_CELLS

      See Also:
        Constant Field Values

    - #### UNGROUP_CELLS

          public static final java.lang.String UNGROUP_CELLS

      See Also:
        Constant Field Values

    - #### REMOVE_CELLS_FROM_PARENT

          public static final java.lang.String REMOVE_CELLS_FROM_PARENT

      See Also:
        Constant Field Values

    - #### MOVE_CELLS

          public static final java.lang.String MOVE_CELLS

      See Also:
        Constant Field Values

    - #### CELLS_MOVED

          public static final java.lang.String CELLS_MOVED

      See Also:
        Constant Field Values

    - #### ORDER_CELLS

          public static final java.lang.String ORDER_CELLS

      See Also:
        Constant Field Values

    - #### CELLS_ORDERED

          public static final java.lang.String CELLS_ORDERED

      See Also:
        Constant Field Values

    - #### REMOVE_CELLS

          public static final java.lang.String REMOVE_CELLS

      See Also:
        Constant Field Values

    - #### CELLS_REMOVED

          public static final java.lang.String CELLS_REMOVED

      See Also:
        Constant Field Values

    - #### REPAINT

          public static final java.lang.String REPAINT

      See Also:
        Constant Field Values

    - #### RESIZE_CELLS

          public static final java.lang.String RESIZE_CELLS

      See Also:
        Constant Field Values

    - #### CELLS_RESIZED

          public static final java.lang.String CELLS_RESIZED

      See Also:
        Constant Field Values

    - #### SPLIT_EDGE

          public static final java.lang.String SPLIT_EDGE

      See Also:
        Constant Field Values

    - #### TOGGLE_CELLS

          public static final java.lang.String TOGGLE_CELLS

      See Also:
        Constant Field Values

    - #### CELLS_TOGGLED

          public static final java.lang.String CELLS_TOGGLED

      See Also:
        Constant Field Values

    - #### UPDATE_CELL_SIZE

          public static final java.lang.String UPDATE_CELL_SIZE

      See Also:
        Constant Field Values

    - #### LABEL_CHANGED

          public static final java.lang.String LABEL_CHANGED

      See Also:
        Constant Field Values

    - #### ADD_OVERLAY

          public static final java.lang.String ADD_OVERLAY

      See Also:
        Constant Field Values

    - #### REMOVE_OVERLAY

          public static final java.lang.String REMOVE_OVERLAY

      See Also:
        Constant Field Values

    - #### BEFORE_PAINT

          public static final java.lang.String BEFORE_PAINT

      See Also:
        Constant Field Values

    - #### PAINT

          public static final java.lang.String PAINT

      See Also:
        Constant Field Values

    - #### AFTER_PAINT

          public static final java.lang.String AFTER_PAINT

      See Also:
        Constant Field Values

    - #### START_EDITING

          public static final java.lang.String START_EDITING

      See Also:
        Constant Field Values

    - #### UNDO

          public static final java.lang.String UNDO

      See Also:
        Constant Field Values

    - #### REDO

          public static final java.lang.String REDO

      See Also:
        Constant Field Values

    - #### UP

          public static final java.lang.String UP

      See Also:
        Constant Field Values

    - #### DOWN

          public static final java.lang.String DOWN

      See Also:
        Constant Field Values

    - #### SCALE

          public static final java.lang.String SCALE

      See Also:
        Constant Field Values

    - #### TRANSLATE

          public static final java.lang.String TRANSLATE

      See Also:
        Constant Field Values

    - #### SCALE_AND_TRANSLATE

          public static final java.lang.String SCALE_AND_TRANSLATE

      See Also:
        Constant Field Values

    - #### CHANGE

          public static final java.lang.String CHANGE

      Holds the name for the change event. First and only argument in the argument array is the list of mxAtomicGraphChanges that have been executed on the model.
      See Also:
        Constant Field Values

    - #### EXECUTE

          public static final java.lang.String EXECUTE

      Holds the name for the execute event. First and only argument in the argument array is the mxAtomicGraphChange that has been executed on the model. This event fires before the change event.
      See Also:
        Constant Field Values

    - #### BEFORE_UNDO

          public static final java.lang.String BEFORE_UNDO

      Holds the name for the beforeUndo event. First and only argument in the argument array is the current edit that is currently in progress in the model. This event fires before notify is called on the currentEdit in the model.
      See Also:
        Constant Field Values

    - #### NOTIFY

          public static final java.lang.String NOTIFY

      Holds the name for the norify event. First and only argument in the argument array is the list of mxAtomicGraphChanges that have been executed on the model. This event fires after the change event.
      See Also:
        Constant Field Values

    - #### BEGIN_UPDATE

          public static final java.lang.String BEGIN_UPDATE

      Holds the name for the beginUpdate event. This event has no arguments and fires after the updateLevel has been changed in model.
      See Also:
        Constant Field Values

    - #### END_UPDATE

          public static final java.lang.String END_UPDATE

      Holds the name for the endUpdate event. This event has no arguments and fires after the updateLevel has been changed in the model. First argument is the currentEdit.
      See Also:
        Constant Field Values

    - #### INSERT

          public static final java.lang.String INSERT

      See Also:
        Constant Field Values

    - #### ADD

          public static final java.lang.String ADD

      See Also:
        Constant Field Values

    - #### CLEAR

          public static final java.lang.String CLEAR

      See Also:
        Constant Field Values

    - #### FIRED

          public static final java.lang.String FIRED

      See Also:
        Constant Field Values

    - #### SELECT

          public static final java.lang.String SELECT

      See Also:
        Constant Field Values

    - #### MARK

          public static java.lang.String MARK

      Holds the name for the mark event, which fires after a cell has been marked. First and only argument in the array is the cell state that has been marked or null, if no state has been marked. To add a mark listener to the cell marker: `addListener( mxEvent.MARK, new mxEventListener() { public void invoke(Object source, Object[] args) { cellMarked((mxCellMarker) source, (mxCellState) args[0]); } });`

    - #### ROOT

          public static java.lang.String ROOT

    - #### LAYOUT_CELLS

          public static java.lang.String LAYOUT_CELLS

    - #### START

          public static java.lang.String START

    - #### CONTINUE

          public static java.lang.String CONTINUE

    - #### STOP

          public static java.lang.String STOP

  - ### Constructor Detail

    - #### mxEvent

          public mxEvent()

Copyright (c) 2010 Gaudenz Alder. All rights reserved.